<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough">
    <h:body>
        <ui:composition template="../layout_e.xhtml">
            <ui:define name="titulo">MusicApp | Diario</ui:define>
            <ui:define name="encabezado">Diario De Práctica</ui:define>
            <ui:define name="subencabezado">Ingresa registros</ui:define>
            <ui:define name="contenido">
                <div class="row">                    
                    <ui:include src="form_registrodiario.xhtml" />                    
                    <!--Comienza la tabla de registros -->

                    <div class="col-md-9 nav-tabs-custom">
                        <ul class="nav nav-tabs">
                            <li class="active"><a data-toggle="tab" href="#registros">Registros</a></li>
                            <li><a data-toggle="tab" href="#fragmentos">Administrar Framentos</a></li>
                        </ul>
                        <div class="tab-content">
                            <div id="registros" class="tab-pane fade in active">
                                <div class="box-header  text-center">
                                    <h3 class="box-title">Registros Semana Actual</h3>

                                </div>
                                <!-- /.box-header -->
                                <div class="box-body table-responsive no-padding ">
                                    <table class="table table-hover ">
                                        <thead >
                                            <tr>
                                                <th>Fecha</th>
                                                <th>Fragmento</th>
                                                <th>Minutos</th>
                                                <th>BPM</th>
                                                <th>Comentarios</th>
                                                <th>Acciones</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <th colspan="6" class="text-center"> <h4>Lunes</h4></th>
                                            </tr>
                                            <tr>
                                                <td>24/12/2016</td>
                                                <td>Escala Mi Mayor Ascendente</td>
                                                <td>5</td> 
                                                <td>120</td>
                                                <td>Sin Comentarios</td>
                                                <td> <button type="button" class="btn btn-info btn-sm">
                                                        <span class="glyphicon glyphicon-pencil"></span>
                                                    </button> 
                                                    <button type="button" class="btn btn-danger btn-sm">
                                                        <span class="glyphicon glyphicon-remove"></span>
                                                    </button>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th colspan="6" class="text-center"> <h4>Martes</h4></th>
                                            </tr>
                                            <tr>
                                                <td>11/7/2014</td>
                                                <td>Arpegios Menores</td>
                                                <td>10</td>
                                                <td>110</td>
                                                <td>Sin Comentarios</td>
                                                <td> <button type="button" class="btn btn-info btn-sm">
                                                        <span class="glyphicon glyphicon-pencil"></span>
                                                    </button> 
                                                    <button type="button" class="btn btn-danger btn-sm">
                                                        <span class="glyphicon glyphicon-remove"></span>
                                                    </button>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th colspan="6" class="text-center"> <h4>Miercoles</h4></th>
                                            </tr>
                                            <tr>
                                                <th colspan="6" class="text-center"> <h4>Jueves</h4></th>
                                            </tr>
                                            <tr>
                                                <th colspan="6" class="text-center"> <h4>Viernes</h4></th>
                                            </tr>
                                            <tr>
                                                <th colspan="6" class="text-center"> <h4>Sábado</h4></th>
                                            </tr>
                                            <tr>
                                                <th colspan="6" class="text-center"> <h4>Domingo</h4></th>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <!-- /.box-body -->
                            </div>

                            <div id="fragmentos" class="tab-pane fade">
                                <div class="box-header  text-center">
                                    <h3 class="box-title">Mis fragmentos musicales</h3>

                                </div>
                                <!-- /.box-header -->
                                <div class="box-body table-responsive no-padding ">

                                    <table class="table table-hover">
                                        <thead>
                                            <tr>
                                                <th>Nombre</th>
                                                <th>Tipo</th>
                                                <th>Obra</th>
                                                <th>Técnica</th>
                                                <th>Descripción</th>
                                                <th>Acciones</th>
                                            </tr>
                                        </thead>
                                        <ui:repeat value="#{fragmentoBean.listarFragmentos()}" var="fragmento" varStatus="estado">
                                            <tbody>                                            
                                                <tr>
                                                    <td>#{fragmento.nombre}</td>
                                                    <td>#{fragmento.tipo}</td>
                                                    <td>#{fragmento.obra}</td> 
                                                    <td>#{fragmento.tecnica}</td>
                                                    <td>#{fragmento.descripcion}</td>
                                                    <td> <button type="button" class="btn btn-info btn-sm">
                                                            <span class="glyphicon glyphicon-pencil"></span>
                                                        </button> 
                                                        <button type="button" class="btn btn-danger btn-sm">
                                                            <span class="glyphicon glyphicon-remove"></span>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </ui:repeat>
                                    </table>
                                </div>
                                <!-- /.box-body -->
                            </div>
                        </div>
                        <!-- /.box -->
                    </div>  
                </div>

                <!-- Comienza modal-->
                <div class="modal fade" tabindex="-1" role="dialog" id="agregarFragmento">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header text-center">
                                <button type="button" class="close" 
                                        data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                                <h4 class="modal-title">Agrega un nuevo fragmento</h4>
                            </div>
                            <h:form>
                                <div class="modal-body">
                                    <h:selectOneMenu value="#{fragmentoBean.fragmento.tipo}" 
                                                     class="form-control" onchange="tipo_frag(this)">
                                        <f:selectItem itemValue="0" itemLabel="Selecciona el tipo de fragmento"/>
                                        <f:selectItem itemValue="Repertorio"/>
                                        <f:selectItem itemValue="Ejercicio"/>
                                        <f:selectItem itemValue="Otro"/>
                                    </h:selectOneMenu>
                                    <div class="form-group" id="nombreObra"> 
                                        <label for="nombreObra" class="control-label">
                                            Obra Musical
                                        </label>
                                        <h:inputText value="#{fragmentoBean.fragmento.obra}" class="form-control" 
                                                     a:placeholder="Ingresa el nombre de la obra a practicar" />
                                    </div>
                                    <div class="form-group" id="tecnica"> 
                                        <label for="tecnica" class="control-label">
                                            Técnica
                                        </label>
                                        <h:inputText value="#{fragmentoBean.fragmento.tecnica}" class="form-control" 
                                                     a:placeholder="Ingresa la técnica a practicar en el ejercicio" />
                                    </div>
                                    <div class="form-group" id="nombreFragmento"> 
                                        <label for="nombreFragmento" class="control-label">
                                            Nombre
                                        </label>
                                        <h:inputText value="#{fragmentoBean.fragmento.nombre}" class="form-control" 
                                                     a:placeholder="Asigna un nombre al fragmento" />                                        
                                    </div>
                                    <div class="form-group" id="descripcionFragmento"> 
                                        <label for="descripcion" class="control-label">
                                            Descripción
                                        </label>
                                        <h:inputTextarea value="#{fragmentoBean.fragmento.descripcion}" class="form-control"
                                                         a:placeholder="Incluye información que describa el fragmento. 
                                                         &#10;Ejemplo: 'Himno de la alegría/coro' o 'Ejercicio 1 Legato/corcheas'"
                                                         rows="4" />
                                    </div>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>

                                    <h:commandButton value="Confirmar" class="btn btn-success" 
                                                     action="#{fragmentoBean.registrarFragmento()}" onclick="ocultarModal()"/>
                                </div>                               
                            </h:form>
                        </div><!-- /.modal-content -->
                    </div><!-- /.modal-dialog -->
                </div><!-- /.modal -->

            </ui:define>
            <h:outputScript library="css" name="table.css"/>
            <ui:define name="js">

                <script>
                    $().ready(function () {
                        $('#nombreObra').hide();
                        $('#tecnica').hide();
                    });

                    $('#fragL').change(function () {
                        if ($('#fragL').val() == "1") {
                            $('#agregarFragmento').modal('show');
                        }
                    });

                    function tipo_frag(tipo) {
                        var tipo = tipo.value;
                        switch (tipo) {
                            case "0":
                                $('#tecnica').hide(300);
                                $('#nombreObra').hide(300);
                                break;
                            case "Repertorio":
                                $('#nombreObra').show(300);
                                $('#tecnica').hide(300);
                                break;
                            case "Ejercicio":
                                $('#tecnica').show(300);
                                $('#nombreObra').hide(300);
                                break;
                            case "Otro":
                                $('#tecnica').hide(300);
                                $('#nombreObra').hide(300);
                                break;
                        }
                    }

                    function ocultarModal() {
                        $('#agregarFragmento').modal('hide');
                        console.log('Se ocultó');
                    }
                </script>
            </ui:define>
        </ui:composition>    
    </h:body> 
</html>